読者です 読者をやめる 読者になる 読者になる

金魚亭日常

読書,ガジェット,競技プログラミング

Ubuntu 11.10 から 12.04 へのアップグレード

最近のOSはCPUがPAE拡張に対応していないとインストールできない, らしい。 Ubuntuだと, 12.04は新規インストールにはPAEが必須だが, 11.10からのアップグレードなら可能とのこと。

/etc/apt/sources.list の編集

  • achieve.ubuntu.comsecurity.ubuntu.comold-releases.ubuntu.com に書き換え

  • extra はコメントアウト

パッケージを最新版に

/etc/apt/sources.list にEOL Upgrade 用のエントリを追加

## EOL upgrade sources.list
# Required
deb http://old-releases.ubuntu.com/ubuntu/ oneiric main restricted universe multiverse
deb http://old-releases.ubuntu.com/ubuntu/ oneiric-updates main restricted universe multiverse
deb http://old-releases.ubuntu.com/ubuntu/ oneiric-security main restricted universe multiverse

EOLUpgrades/Oneiric - Community Help Wiki

12.04 へアップグレード

sudo do-release-upgrade

3時間ぐらいかかった

備考

  • /etc/apt/sources.list について
    • コメントアウトされていたやつはoneric のまま
    • EOL Upgrade 用のに追加したやつも残る
    • 12.04の初期状態のものに直したほうがいいかも